.card {
    width: 375px;
    margin: 20px
}

.card-image {
    width: 185px;
}
.more-detail {
    margin-left:auto;
}
.MuiCardHeader-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 75%;
}